randomset.cc File Reference
`#include <polybori/groebner/randomset.h>`
`#include <ctime>`
`#include <set>`
`#include <polybori/groebner/nf.h>`
`#include <polybori/groebner/add_up.h>`
`#include <polybori/groebner/ExpLexLess.h>`

## Namespaces

| polybori
| polybori::groebner

## Functions

void | polybori::groebner::set_random_seed (unsigned int seed)
MonomialSet | polybori::groebner::random_set_using_generator (const Monomial &variables, unsigned int len, bool_gen_type &bit_gen)
MonomialSet | polybori::groebner::random_set (const Monomial &variables, unsigned int len)